'Declare API functions for writing to .ini file
Declare Function GetPrivateProfileString Lib "Kernel" (ByVal lpApplicationName As String, ByVal lpKeyName As String, ByVal lpDefault As String, ByVal lpReturnedString As String, ByVal nSize As Integer, ByVal lpFileName As String) As Integer
Declare Function WritePrivateProfileString Lib "Kernel" (ByVal lpApplicationName As String, ByVal lpKeyName As String, ByVal lpString As String, ByVal lplFileName As String) As Integer

'Global variables
Global TitleBarFlag As Integer
Global AddResFlag As Integer
Global OnTopFlag As Integer
Global HideFlag As Integer
Global xRes As Integer  'Variable for horizontal resolution

'Declare API function for always on top
Declare Function SetWindowPos Lib "User" (ByVal hWnd As Integer, ByVal hWndInsertAfter As Integer, ByVal X As Integer, ByVal Y As Integer, ByVal cx As Integer, ByVal cy As Integer, ByVal wFlags As Integer) As Integer

'Declare API functions for getting resource space
Declare Function GetModuleHandle Lib "Kernel" (ByVal ModName$) As Integer
Declare Function GetHeapSpaces& Lib "Kernel" (ByVal hModule As Integer)


Sub BorderFrame (F As Form, TOffset As Integer, LOffset As Integer, BOffset As Integer, ROffset As Integer)
'*****
'This sub draws a 3D frame around the form offset from each edge by the
'    values specified from the call
'*****

    F.DrawWidth = 2
    H = F.Height: W = F.Width
 'Draw border frame
    F.ForeColor = &HE0E0E0  'White line color
    'Top line
    F.Line (0 + LOffset, 0 + TOffset)-(W - ROffset, 0 + TOffset)
    'Left side line
    F.Line (0 + LOffset, 0 + TOffset)-(0 + LOffset, H - BOffset)

    F.ForeColor = &H808080  'Gray line color
    'Right side line
    F.Line (W - ROffset, 0 + TOffset)-(W - ROffset, H - BOffset)
    'Bottom
    F.Line (0 + LOffset, H - BOffset)-(W - ROffset, H - BOffset)
End Sub

Sub Frame (F As Form, TB As Control, Effect As Integer)
  L = TB.Left - 50
  T = TB.Top - 40
  H = TB.Height + 80
  W = TB.Width + 90
  OFFSET = 4
  BIGOFFSET = 6
  F.DrawWidth = 1
'Set initial colors to a recessed effect
    ForeColor1 = &HE0E0E0
    ForeColor2 = &H808080
'Change colors if a raised Effect
    If Effect% <> 1 Then
	ForeColor2 = &HE0E0E0
	ForeColor1 = &H808080
    End If
'First draw bottom & right in one color
    F.ForeColor = ForeColor1
'bottom:
    F.Line (L + F.DrawWidth, T + H + OFFSET)-(L + W - F.DrawWidth, T + H + OFFSET)
'right:
    F.Line (L + W + OFFSET, T + F.DrawWidth)-(L + W + OFFSET, T + H + OFFSET - F.DrawWidth)

'Next draw left and top in other color
    F.ForeColor = ForeColor2
'top:
    F.Line (L - BIGOFFSET + F.DrawWidth, T - BIGOFFSET)-(L + W + BIGOFFSET - F.DrawWidth, T - BIGOFFSET)
'left:
    F.Line (L - BIGOFFSET, T + F.DrawWidth - BIGOFFSET)-(L - BIGOFFSET, T + H + BIGOFFSET - F.DrawWidth)

End Sub

Sub GetFreeResouces ()

End Sub

Function GetFreeResources& (ModuleName$)
    rInfo& = GetHeapSpaces&(GetModuleHandle(ModuleName$))
    Totalr& = HiWord&(rInfo&)
    FreeR& = LoWord(rInfo&)
    GetFreeResources& = FreeR& * 100 \ Totalr&
End Function

Function HiWord& (LongInt&)
    Temp& = LongInt& \ &H10000
    If Temp& < 0 Then Temp& = Temp& + &H10000
    HiWord& = Temp&
End Function

Function LoWord& (LongInt&)
    Temp& = LongInt& Mod &H10000
    If Temp& < 0 Then Temp& = Temp& + &H10000
    LoWord& = Temp&
End Function

Function Min (P1, P2)
    If P1 < P2 Then Min = P1 Else Min = P2
End Function

Sub SetFrmSize ()
    SysClockFrm.Label1.Width = SysClockFrm.TextWidth(SysClockFrm.Label1.Caption)
    SysClockFrm.Width = SysClockFrm.Label1.Width + 200
End Sub

Sub SetStayOnTop (Value As Integer)
'*****
'This sub controls whether window stays on top with API call
'*****

wFlags = &H2 Or &H1 Or &H40 Or &H10
If Value Then
   OnTop% = SetWindowPos(SysClockFrm.hWnd, -1, 0, 0, 0, 0, wFlags)
Else
   Norml% = SetWindowPos(SysClockFrm.hWnd, -2, 0, 0, 0, 0, wFlags)
   SysClockFrm.ZOrder 1
End If

End Sub

